### Method

# GLib Scanner scope_lookup_symbol

#### Declaration

    gpointer
    g_scanner_scope_lookup_symbol (
      GScanner* scanner,
      guint scope_id,
      const gchar* symbol
    )

#### Description

Looks up a symbol in a scope and return its value. If the symbol is not bound in the scope, `NULL` is returned.

#### Parameters

`scope_id`

  Type: `guint`

  The scope id.

`symbol`

  Type: `const gchar*`

  The symbol to look up.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gpointer`

The value of `symbol` in the given scope, or `NULL` if `symbol` is not bound in the given scope.

The returned data is owned by the instance.
The return value can be `NULL`.